import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';

part 'on_show_add_state.dart';

class OnShowAddCubit extends Cubit<OnShowAddState> {
  OnShowAddCubit() : super(OnHideAdd());

  void showAdd() {
    emit(OnShowAdd());
  }

  void hideAdd() {
    emit(OnHideAdd());
  }

  void toggleAdd() {
    if (state is OnShowAdd) {
      emit(OnHideAdd());
    } else {
      emit(OnShowAdd());
    }
  }

  void reset() {
    emit(OnHideAdd());
  }
}
